| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Friends | List of all members
cv::cuda::Event Class Reference
CUDA-accelerated Computer Vision » Core part » Data Structures

`#include <opencv2/core/cuda.hpp>`

Collaboration diagram for cv::cuda::Event:

## Public Types
enum | CreateFlags { DEFAULT = 0x00 , BLOCKING_SYNC = 0x01 , DISABLE_TIMING = 0x02 , INTERPROCESS = 0x04 }

## Public Member Functions
| Event (const Event::CreateFlags flags=Event::CreateFlags::DEFAULT)
bool | queryIfComplete () const
| queries an event's status
void | record (Stream &stream=Stream::Null())
| records an event
void | waitForCompletion ()
| waits for an event to complete

## Static Public Member Functions
static float | elapsedTime (const Event &start, const Event &end)
| computes the elapsed time between events

## Friends
struct | EventAccessor

## Member Enumeration Documentation

## ◆ CreateFlags

enum cv::cuda::Event::CreateFlags

Enumerator
DEFAULT | Default event flag
BLOCKING_SYNC | Event uses blocking synchronization
DISABLE_TIMING | Event will not record timing data
INTERPROCESS | Event is suitable for interprocess use. DisableTiming must be set

## Constructor & Destructor Documentation

## ◆ Event()

cv::cuda::Event::Event | ( | const Event::CreateFlags | flags = Event::CreateFlags::DEFAULT | ) |
| explicit

Python:
| cv.cuda.Event( | [, flags] | ) -> | <cuda_Event object>

## Member Function Documentation

## ◆ elapsedTime()

static float cv::cuda::Event::elapsedTime | ( | const Event & | start,
|  | const Event & | end )
| static

Python:
| cv.cuda.Event.elapsedTime( | start, end | ) -> | retval
| cv.cuda.Event_elapsedTime( | start, end | ) -> | retval

computes the elapsed time between events

## ◆ queryIfComplete()

bool cv::cuda::Event::queryIfComplete | ( |  | ) | const

Python:
| cv.cuda.Event.queryIfComplete( |  | ) -> | retval

queries an event's status

## ◆ record()

void cv::cuda::Event::record | ( | Stream & | stream = Stream::Null() | ) |

Python:
| cv.cuda.Event.record( | [, stream] | ) -> | None

records an event

## ◆ waitForCompletion()

void cv::cuda::Event::waitForCompletion | ( |  | ) |

Python:
| cv.cuda.Event.waitForCompletion( |  | ) -> | None

waits for an event to complete

## Friends And Related Symbol Documentation

## ◆ EventAccessor

friend struct EventAccessor
| friend

The documentation for this class was generated from the following file:

- opencv2/core/cuda.hpp